import {httpApi} from "../../request/httpApi";

export default {
    //分页
    async page(form) {
        return httpApi({
            url: '/api/blade-control/userfilesinfo/get-user-file-page',
            method: 'get',
            params: form
        }, false);
    },
    //删除
    async remove(ids) {
        return httpApi({
            url: '/api/blade-control/userfilesinfo/del-user-file-detail',
            method: 'post',
            params: {
                ids
            },
        }, false);
    },
    //详情
    async detail(form) {
        return httpApi({
            url: '/api/blade-control/userfilesinfo/get-user-file-detail',
            method: 'get',
            params: form
        }, false);
    },
    //提交
    async submit(form) {
        return httpApi({
            url: '/api/blade-control/userfilesinfo/submit-user-file',
            method: 'post',
            data: form
        }, false);
    },
}
